Bug 202771 - CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
source=fulldisclosure,impact=moderate...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 09:15 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0633
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 07:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo Image from the reporter (8.93 KB, image/x-sgi)
2006-08-16 09:17 EDT, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-08-16 09:15:27 EDT
An integer overflow bug was posted to full-disclosure describing an integer
overflow bug in the way ImageMagick parses SGI image files.

http://www.securityfocus.com/archive/1/archive/1/443208/100/0/threaded
Comment 1 Josh Bressers 2006-08-16 09:17:18 EDT
Created attachment 134304 [details]
Demo Image from the reporter
Comment 2 Josh Bressers 2006-08-16 09:18:38 EDT
The patch for this issue can be extraced from subversion:
svn diff -r 3812:3813 https://subversion.imagemagick.org/subversion/
Comment 3 Josh Bressers 2006-08-16 09:19:40 EDT
This issue also affects RHEL2.1 and RHEL3
Comment 5 Matthias Clasen 2006-08-16 12:38:38 EDT
Ok, I added another testcase with the demo image, and did 
5.3.8-16
5.5.6-20
6.0.7.1-16
Comment 8 Red Hat Bugzilla 2006-08-24 07:49:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0633.html

Note You need to log in before you can comment on or make changes to this bug.